program PICKDEM;    { John Haluska, CIS 74000,1106    Turbo Pascal 4.0, 5.0 }

{ Demo for Picks unit.  Generates a vertical and horizontal menu.  }

uses
  Crt,Picks;

var
  ActPicks,                                   { Actual number of menu items }
  Result : integer;                                    { Menu item selected }

{----------------------------------------------------------------------------}
procedure InitializeMenu1;                        { Demo for horizontal menu }

var
  I  : integer;
begin
  ActPicks := 5;                        { Initialize number of menu items }
  TxtColor := LightGray;  BkgdColor := Blue;     { Initialize display colors }
  TextAttr := TxtColor + BkgdColor*16;                   { Make full display }
  ClrScr;                                                    { assume colors }
  for I := 1 to ActPicks do
    begin
      Pick[I].Row := 3;  Pick[I].Column := 10*I   { Initialize menu location }
    end;
  Pick[1].Title := ' 1 Title ';                     { Define menu item names }
  Pick[2].Title := ' 2 Title ';
  Pick[3].Title := ' 3 Title ';
  Pick[4].Title := ' 4 Title ';
  Pick[5].Title := ' 5 Title ';
end; {InitializeMenu1}
{----------------------------------------------------------------------------}
procedure InitializeMenu2;                          { Demo for vertical menu }

var
  I : integer;
begin
  ActPicks := 4;                           { Initialize number of menu items }
  TxtColor := Red;  BkgdColor := Black;          { Initialize display colors }
  TextAttr := TxtColor + BkgdColor*16;                   { Make full display }
  ClrScr;                                                    { assume colors }
  for I := 1 to ActPicks do
    begin
       Pick[I].Row := I + 4;  Pick[I].Column := 5;
    end;
  Pick[1].Title := 'A Choice 1';
  Pick[2].Title := 'B Choice 2';
  Pick[3].Title := 'C Choice 3';
  Pick[4].Title := 'D Choice 4';
end; {InitializeMenu2}
{----------------------------------------------------------------------------}

begin                                                         { Demo program }
  repeat
    InitializeMenu1;
    Result := DisplayMenuGetPick(1,ActPicks);
    GoToXY(10,20);
    Write('Item ',Result,' was selected.  Space to continue.  ESC to quit.');
    if ReadKey = #27 then
      begin
        NormVideo;  ClrScr;  Exit;       { Restore display to initial colors }
      end;
    InitializeMenu2;
    Result := DisplayMenuGetPick(3,ActPicks);
    GoToXY(10,20);
    Write('Item ',Result,' was selected.  Space to continue.  ESC to quit.');
  until ReadKey = #27;
  NormVideo; ClrScr;                     { Restore display to initial colors }
end.
